package main

import (
	"os"
	"io/fs"
	"embed"
	"net/http"
	
	"github.com/gofiber/fiber/v2"
	"github.com/gofiber/fiber/v2/log"
	"github.com/gofiber/template/html/v2"
	"github.com/gofiber/fiber/v2/middleware/filesystem"
)

// return template engine
func TemplateEngine(templatefs embed.FS) *html.Engine {
	tmpl, err := fs.Sub(templatefs, templatedir)
	if err != nil {
		log.Panic(err)
		os.Exit(-1)
	}
	return html.NewFileSystem(http.FS(tmpl), ".html")
}


func GetStaticFs() fiber.Handler {
	return filesystem.New(filesystem.Config{
		Root: http.FS(staticfs),
		PathPrefix: "static",
                // Browse: true,
	})
}
