package main

import (
	"embed"
	"github.com/gofiber/fiber/v2"
	"github.com/gofiber/fiber/v2/log"
	"github.com/gofiber/fiber/v2/middleware/logger"
)

const (
	templatedir string = "templates"
	staticdir   string = "static"
)

var (	
	//go:embed templates
	templatefs embed.FS
	
	//go:embed static
	staticfs embed.FS
)

func main() {
	app := fiber.New(fiber.Config{
		Views: TemplateEngine(templatefs),
		ViewsLayout: "base_",
	})
	app.Use(logger.New())
	app.Use("/static", GetStaticFs())
	AddRoutes(app)
	log.Fatal(app.Listen(":8000"))
}
